跳转到主要内容
告警与响应相关接口/告警通道与集成
POSTAlerting起始版本 1.0同步需要认证

管理告警集成

启用禁用告警集成管理平台。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • platformUuidString必填

    平台UUID。

请求体字段

  • targetStateString必填

    目标状态。

    示例: enabled

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • uuidString

    资源的UUID,唯一标识该资源。

    示例: integ-001

  • platformUuidString

    平台UUID。

    示例: plat-001-abc

  • targetStateString

    目标状态。

    示例: enabled

  • currentStateString

    当前状态。

    示例: enabled

  • webhookUrlString

    Webhook地址。

    示例: https://zcf.example.com/api/v1/alerting/receive

  • webhookIdString

    Webhook唯一标识。

    示例: wh-plat-001

  • lastReconcileAtString

    最近一次协调时间。

    示例: 2026-01-15T08:00:00Z

  • driftCountInteger

    漂移数量。

    示例: 20

  • lastErrorString

    消息协调。

    示例: timeout after 30s

  • createDateString

    创建时间。

    示例: 2026-01-15T08:00:00Z

  • lastOpDateString

    最近一次操作时间。

    示例: 2026-01-15T08:00:00Z

  • platformNameString

    平台名称。

    示例: Production ZStack

  • productTypeString

    产品类型。

    示例: zstack

请求地址

POST/api/v1/alerting/integrations/{platformUuid}/manage

/api/v1/alerting/integrations/{platformUuid}/manage

操作 ID

ManageAlertIntegration

永久链接

请求示例

curl -X POST '{host}/api/v1/alerting/integrations/{platformUuid}/manage' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"targetState":"enabled"}'

响应示例

200
{
  "uuid": "integ-001",
  "platformUuid": "plat-001-abc",
  "targetState": "enabled",
  "currentState": "enabled",
  "webhookUrl": "https://zcf.example.com/api/v1/alerting/receive",
  "webhookId": "wh-plat-001",
  "lastReconcileAt": "example",
  "driftCount": 20
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史